declare class SelectHandler {
    constructor(el: any);
    el: any;
    pointSelection: {
        isSelected: boolean;
    };
    rectSelection: {
        isSelected: boolean;
    };
    pointsList: {
        lt: number[];
        rt: (string | number)[];
        rb: string[];
        lb: (string | number)[];
        t: (string | number)[];
        r: string[];
        b: string[];
        l: (string | number)[];
    };
    pointCoord: (setting: any, object: any, isPointCentered: any) => any;
    pointCoords: (point: any, object: any) => {
        x: any;
        y: any;
    };
    init(value: any, options: any): void;
    options: {} | undefined;
    parent: any;
    nested: any;
    selectPoints(value: any): SelectHandler;
    getPointArray(): any;
    drawPoints(): void;
    drawPoint(cx: any, cy: any): any;
    drawCircle(cx: any, cy: any): any;
    drawRect(cx: any, cy: any): any;
    updatePointSelection(): void;
    updateRectSelection(): void;
    selectRect(value: any): void;
    handler(): void;
    observe(): void;
    observerInst: any;
    cleanup(): void;
}
